package com.foreverwin.mesnac.common.dto;

import com.foreverwin.mesnac.common.model.ExcelColumn;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * 生产派工参数类
 *
 * @author Leon
 * @date 2021-06-24
 */
public class SfcDispatchDto implements Serializable{

    /**
     * 主键
     */
    private String handle;
    /**
     * 站点
     */
    private String site;
    /**
     * 工单
     */
    @ExcelColumn("工单编号")
    private String shopOrder;
    private String shopOrderBo;
    /**
     * 生产批次
     */
    private String sfc;
    /**
     * 下料尺寸
     */
    @ExcelColumn("下料尺寸")
    private String blankingSize;
    /**
     * 派工序号
     */
    private String dispatchSeq;
    /**
     * 派工单号
     */
    @ExcelColumn("派工单号")
    private String dispatchNo;
    /**
     * 派工状态
     */
    private String dispatchStatus;
    /**
     * 是否锁定
     */
    private String isLock;
    /**
     * 图号
     */
    private String drawingsNo;
    /**
     * 图号版本
     */
    private String drawingsRevision;
    /**
     * 步骤标示
     */
    private String stepId;
    /**
     * 工序编号
     */
    private String operation;
    private String operationDescription;
    /**
     * 资源类型
     */
    private String resourceType;
    /**
     * 工作中心
     */
    private String workCenter;
    /**
     * 资源编号
     */
    @ExcelColumn("资源编号")
    private String resrce;
    private String resourceDescription;
    /**
     * 人员编号
     */
    private String employee;
    @ExcelColumn("操作者")
    private String employeeDescription;
    /**
     * 是否转序
     */
    private String turnOperation;
    /**
     * 派工数量
     */
    private BigDecimal dispatchQty;
    /**
     * 工时
     */
    private BigDecimal prodHours;
    /**
     * 总计划开始时间
     */
    @ExcelColumn("总计划开始时间")
    private LocalDateTime plannedStartDate;
    /**
     * 总计划完成时间
     */
    @ExcelColumn("总计划完成时间")
    private LocalDateTime plannedCompDate;
    /**
     * 车间最早开始时间
     */
    private LocalDateTime earliestStartDate;
    /**
     * 车间最晚结束时间
     */
    private LocalDateTime latestEndDate;
    /**
     * 是否已经派工
     */
    private String isDispatch;
    /**
     * 是否导入
     */
    private String isImport;
    /**
     * 派工备注
     */
    @ExcelColumn("备注信息")
    private String remark;
    /**
     * 前置工序
     */
    private String prepositionStepId;
    private String prepositionOperation;
    /**
     * 是否首工序
     */
    private String isFirstOperation;
    /**
     * 物料编号&描述
     */
    private String itemBo;
    private String item;
    private String itemDescription;
    private String qtyToBuild;
    private String isMajor;

    /**
     * 工单自定义字段-工单类型
     */
    private String shopOrderType;
    /**
     * 工单自定义字段-工单备注
     */
    private String comments;
    /**
     * 工单自定义字段-工作令号
     */
    private String workOrder;
    /**
     * 工单自定义字段-项目号
     */
    private String itemNumber;

    /**实际时间**/
    private LocalDateTime actualStartDate;
    private LocalDateTime actualCompleteDate;

    /**
     * 工单组件信息
     */
    private String component;
    private String componentDescription;
    private String texture;
    private String matSpec;
    private String isCompleted;
    private BigDecimal completedQty;
    private String resourceWorkCenter;

    private String user;
    private String role;
    private String status;
    private String locale;
    private String routerBo;
    private String statusName;
    private LocalDateTime soReleasedDate;
    private LocalDateTime sfcReleasedDate;
    private LocalDateTime releasedCompleteDate;

    private LocalDateTime dispatchCompleteDate;

    private String createUser;
    private LocalDateTime createdDateTime;
    private String modifyUser;
    private LocalDateTime modifiedDateTime;

    private Date startFromDate;
    private Date startToDate;
    private Date completeFromDate;
    private Date completeToDate;

    private String startFromDate_S;
    private String startToDate_S;
    private String completeFromDate_S;
    private String completeToDate_S;

    private String other1;
    @ExcelColumn("物料去向")
    private String other2;
    private String other3;
    private String other4;
    private String other5;

    public String getHandle() {
        return handle;
    }

    public void setHandle(String handle) {
        this.handle = handle;
    }

    public String getSite() {
        return site;
    }

    public void setSite(String site) {
        this.site = site;
    }

    public String getShopOrder() {
        return shopOrder;
    }

    public void setShopOrder(String shopOrder) {
        this.shopOrder = shopOrder;
    }

    public String getShopOrderBo() {
        return shopOrderBo;
    }

    public void setShopOrderBo(String shopOrderBo) {
        this.shopOrderBo = shopOrderBo;
    }

    public String getSfc() {
        return sfc;
    }

    public void setSfc(String sfc) {
        this.sfc = sfc;
    }

    public String getBlankingSize() {
        return blankingSize;
    }

    public void setBlankingSize(String blankingSize) {
        this.blankingSize = blankingSize;
    }

    public String getDispatchSeq() {
        return dispatchSeq;
    }

    public void setDispatchSeq(String dispatchSeq) {
        this.dispatchSeq = dispatchSeq;
    }

    public String getDispatchNo() {
        return dispatchNo;
    }

    public void setDispatchNo(String dispatchNo) {
        this.dispatchNo = dispatchNo;
    }

    public String getDispatchStatus() {
        return dispatchStatus;
    }

    public void setDispatchStatus(String dispatchStatus) {
        this.dispatchStatus = dispatchStatus;
    }

    public String getIsLock() {
        return isLock;
    }

    public void setIsLock(String isLock) {
        this.isLock = isLock;
    }

    public String getDrawingsNo() {
        return drawingsNo;
    }

    public void setDrawingsNo(String drawingsNo) {
        this.drawingsNo = drawingsNo;
    }

    public String getDrawingsRevision() {
        return drawingsRevision;
    }

    public void setDrawingsRevision(String drawingsRevision) {
        this.drawingsRevision = drawingsRevision;
    }

    public String getStepId() {
        return stepId;
    }

    public void setStepId(String stepId) {
        this.stepId = stepId;
    }

    public String getOperation() {
        return operation;
    }

    public void setOperation(String operation) {
        this.operation = operation;
    }

    public String getOperationDescription() {
        return operationDescription;
    }

    public void setOperationDescription(String operationDescription) {
        this.operationDescription = operationDescription;
    }

    public String getResourceType() {
        return resourceType;
    }

    public void setResourceType(String resourceType) {
        this.resourceType = resourceType;
    }

    public String getWorkCenter() {
        return workCenter;
    }

    public void setWorkCenter(String workCenter) {
        this.workCenter = workCenter;
    }

    public String getResrce() {
        return resrce;
    }

    public void setResrce(String resrce) {
        this.resrce = resrce;
    }

    public String getResourceDescription() {
        return resourceDescription;
    }

    public void setResourceDescription(String resourceDescription) {
        this.resourceDescription = resourceDescription;
    }

    public String getEmployee() {
        return employee;
    }

    public void setEmployee(String employee) {
        this.employee = employee;
    }

    public String getEmployeeDescription() {
        return employeeDescription;
    }

    public void setEmployeeDescription(String employeeDescription) {
        this.employeeDescription = employeeDescription;
    }

    public String getTurnOperation() {
        return turnOperation;
    }

    public void setTurnOperation(String turnOperation) {
        this.turnOperation = turnOperation;
    }

    public BigDecimal getDispatchQty() {
        return dispatchQty;
    }

    public void setDispatchQty(BigDecimal dispatchQty) {
        this.dispatchQty = dispatchQty;
    }

    public BigDecimal getProdHours() {
        return prodHours;
    }

    public void setProdHours(BigDecimal prodHours) {
        this.prodHours = prodHours;
    }

    public LocalDateTime getPlannedStartDate() {
        return plannedStartDate;
    }

    public void setPlannedStartDate(LocalDateTime plannedStartDate) {
        this.plannedStartDate = plannedStartDate;
    }

    public LocalDateTime getPlannedCompDate() {
        return plannedCompDate;
    }

    public void setPlannedCompDate(LocalDateTime plannedCompDate) {
        this.plannedCompDate = plannedCompDate;
    }


    public String getIsDispatch() {
        return isDispatch;
    }

    public void setIsDispatch(String isDispatch) {
        this.isDispatch = isDispatch;
    }

    public String getUser() {
        return user;
    }

    public void setUser(String user) {
        this.user = user;
    }

    public String getRole() {
        return role;
    }

    public void setRole(String role) {
        this.role = role;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getIsImport() {
        return isImport;
    }

    public void setIsImport(String isImport) {
        this.isImport = isImport;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getPrepositionStepId() {
        return prepositionStepId;
    }

    public void setPrepositionStepId(String prepositionStepId) {
        this.prepositionStepId = prepositionStepId;
    }

    public String getPrepositionOperation() {
        return prepositionOperation;
    }

    public void setPrepositionOperation(String prepositionOperation) {
        this.prepositionOperation = prepositionOperation;
    }

    public String getIsFirstOperation() {
        return isFirstOperation;
    }

    public void setIsFirstOperation(String isFirstOperation) {
        this.isFirstOperation = isFirstOperation;
    }

    public String getItemBo() {
        return itemBo;
    }

    public void setItemBo(String itemBo) {
        this.itemBo = itemBo;
    }

    public String getItem() {
        return item;
    }

    public void setItem(String item) {
        this.item = item;
    }

    public String getItemDescription() {
        return itemDescription;
    }

    public void setItemDescription(String itemDescription) {
        this.itemDescription = itemDescription;
    }

    public String getQtyToBuild() {
        return qtyToBuild;
    }

    public void setQtyToBuild(String qtyToBuild) {
        this.qtyToBuild = qtyToBuild;
    }

    public String getIsMajor() {
        return isMajor;
    }

    public void setIsMajor(String isMajor) {
        this.isMajor = isMajor;
    }

    public String getShopOrderType() {
        return shopOrderType;
    }

    public void setShopOrderType(String shopOrderType) {
        this.shopOrderType = shopOrderType;
    }

    public String getComments() {
        return comments;
    }

    public void setComments(String comments) {
        this.comments = comments;
    }

    public String getWorkOrder() {
        return workOrder;
    }

    public void setWorkOrder(String workOrder) {
        this.workOrder = workOrder;
    }

    public String getItemNumber() {
        return itemNumber;
    }

    public void setItemNumber(String itemNumber) {
        this.itemNumber = itemNumber;
    }

    public LocalDateTime getActualStartDate() {
        return actualStartDate;
    }

    public void setActualStartDate(LocalDateTime actualStartDate) {
        this.actualStartDate = actualStartDate;
    }

    public LocalDateTime getActualCompleteDate() {
        return actualCompleteDate;
    }

    public void setActualCompleteDate(LocalDateTime actualCompleteDate) {
        this.actualCompleteDate = actualCompleteDate;
    }

    public String getComponent() {
        return component;
    }

    public void setComponent(String component) {
        this.component = component;
    }

    public String getComponentDescription() {
        return componentDescription;
    }

    public void setComponentDescription(String componentDescription) {
        this.componentDescription = componentDescription;
    }

    public String getTexture() {
        return texture;
    }

    public void setTexture(String texture) {
        this.texture = texture;
    }

    public String getMatSpec() {
        return matSpec;
    }

    public void setMatSpec(String matSpec) {
        this.matSpec = matSpec;
    }

    public String getIsCompleted() {
        return isCompleted;
    }

    public void setIsCompleted(String isCompleted) {
        this.isCompleted = isCompleted;
    }

    public BigDecimal getCompletedQty() {
        return completedQty;
    }

    public void setCompletedQty(BigDecimal completedQty) {
        this.completedQty = completedQty;
    }

    public String getResourceWorkCenter() {
        return resourceWorkCenter;
    }

    public void setResourceWorkCenter(String resourceWorkCenter) {
        this.resourceWorkCenter = resourceWorkCenter;
    }

    public String getLocale() {
        return locale;
    }

    public void setLocale(String locale) {
        this.locale = locale;
    }

    public String getRouterBo() {
        return routerBo;
    }

    public void setRouterBo(String routerBo) {
        this.routerBo = routerBo;
    }

    public String getStatusName() {
        return statusName;
    }

    public void setStatusName(String statusName) {
        this.statusName = statusName;
    }

    public LocalDateTime getSoReleasedDate() {
        return soReleasedDate;
    }

    public void setSoReleasedDate(LocalDateTime soReleasedDate) {
        this.soReleasedDate = soReleasedDate;
    }

    public LocalDateTime getSfcReleasedDate() {
        return sfcReleasedDate;
    }

    public void setSfcReleasedDate(LocalDateTime sfcReleasedDate) {
        this.sfcReleasedDate = sfcReleasedDate;
    }

    public LocalDateTime getLatestEndDate() {
        return latestEndDate;
    }

    public void setLatestEndDate(LocalDateTime latestEndDate) {
        this.latestEndDate = latestEndDate;
    }

    public LocalDateTime getEarliestStartDate() {
        return earliestStartDate;
    }

    public void setEarliestStartDate(LocalDateTime earliestStartDate) {
        this.earliestStartDate = earliestStartDate;
    }

    public LocalDateTime getReleasedCompleteDate() {
        return releasedCompleteDate;
    }

    public void setReleasedCompleteDate(LocalDateTime releasedCompleteDate) {
        this.releasedCompleteDate = releasedCompleteDate;
    }

    public LocalDateTime getDispatchCompleteDate() {
        return dispatchCompleteDate;
    }

    public void setDispatchCompleteDate(LocalDateTime dispatchCompleteDate) {
        this.dispatchCompleteDate = dispatchCompleteDate;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public LocalDateTime getCreatedDateTime() {
        return createdDateTime;
    }

    public void setCreatedDateTime(LocalDateTime createdDateTime) {
        this.createdDateTime = createdDateTime;
    }

    public String getModifyUser() {
        return modifyUser;
    }

    public void setModifyUser(String modifyUser) {
        this.modifyUser = modifyUser;
    }

    public LocalDateTime getModifiedDateTime() {
        return modifiedDateTime;
    }

    public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
        this.modifiedDateTime = modifiedDateTime;
    }

    public String getStartFromDate_S() {
        return startFromDate_S;
    }

    public void setStartFromDate_S(String startFromDate_S) {
        this.startFromDate_S = startFromDate_S;
    }

    public String getStartToDate_S() {
        return startToDate_S;
    }

    public void setStartToDate_S(String startToDate_S) {
        this.startToDate_S = startToDate_S;
    }

    public String getCompleteFromDate_S() {
        return completeFromDate_S;
    }

    public void setCompleteFromDate_S(String completeFromDate_S) {
        this.completeFromDate_S = completeFromDate_S;
    }

    public String getCompleteToDate_S() {
        return completeToDate_S;
    }

    public void setCompleteToDate_S(String completeToDate_S) {
        this.completeToDate_S = completeToDate_S;
    }

    public Date getStartFromDate() {
        return startFromDate;
    }

    public void setStartFromDate(Date startFromDate) {
        this.startFromDate = startFromDate;
    }

    public Date getStartToDate() {
        return startToDate;
    }

    public void setStartToDate(Date startToDate) {
        this.startToDate = startToDate;
    }

    public Date getCompleteFromDate() {
        return completeFromDate;
    }

    public void setCompleteFromDate(Date completeFromDate) {
        this.completeFromDate = completeFromDate;
    }

    public Date getCompleteToDate() {
        return completeToDate;
    }

    public void setCompleteToDate(Date completeToDate) {
        this.completeToDate = completeToDate;
    }

    public String getOther1() {
        return other1;
    }

    public void setOther1(String other1) {
        this.other1 = other1;
    }

    public String getOther2() {
        return other2;
    }

    public void setOther2(String other2) {
        this.other2 = other2;
    }

    public String getOther3() {
        return other3;
    }

    public void setOther3(String other3) {
        this.other3 = other3;
    }

    public String getOther4() {
        return other4;
    }

    public void setOther4(String other4) {
        this.other4 = other4;
    }

    public String getOther5() {
        return other5;
    }

    public void setOther5(String other5) {
        this.other5 = other5;
    }
}
